> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Editor side-panel insights

> Editor side-panel insights (assigned/impact/compliance/recent-edits)



## OpenAPI

````yaml /api-reference/openapi.json get /api/shifts/{id}/insights
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/shifts/{id}/insights:
    get:
      tags:
        - Shifts
      summary: Editor side-panel insights
      description: Editor side-panel insights (assigned/impact/compliance/recent-edits)
      operationId: getApiShiftsByIdInsights
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  assignedTotal:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  assignedByLocation:
                    type: array
                    items:
                      type: object
                      properties:
                        locationId:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        locationName:
                          type: string
                        count:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - locationId
                        - locationName
                        - count
                  impact:
                    type: object
                    properties:
                      affected:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      weeklyHours:
                        type: number
                      weeklyOffDays:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      otEligibleAfterHours:
                        type: number
                      maxWeeklyOtHours:
                        type: number
                    required:
                      - affected
                      - weeklyHours
                      - weeklyOffDays
                      - otEligibleAfterHours
                      - maxWeeklyOtHours
                  compliance:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                        value:
                          type: string
                        ok:
                          type: boolean
                      required:
                        - label
                        - value
                        - ok
                  recentEdits:
                    type: array
                    items:
                      type: object
                      properties:
                        who:
                          type: string
                        what:
                          type: string
                        when:
                          type: string
                      required:
                        - who
                        - what
                        - when
                required:
                  - assignedTotal
                  - assignedByLocation
                  - impact
                  - compliance
                  - recentEdits
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````